bitel.billing.server.script.bean

## Class ScriptMachine.ThreadedScriptMachine

- java.lang.Object
- - bitel.billing.server.script.bean.ScriptMachine
  - - bitel.billing.server.script.bean.ScriptMachine.ThreadedScriptMachine

- Enclosing class:
    ScriptMachine

      public static class ScriptMachine.ThreadedScriptMachine
      extends ScriptMachine

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class bitel.billing.server.script.bean.ScriptMachine

      `ScriptMachine.ThreadedScriptMachine, ScriptMachine.ZTest`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadedScriptMachine(ScriptInstance function, int timeoutSeconds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `runScriptImpl(DefaultServerSetup setup, ConnectionSet connectionSet, Event event, java.io.PrintStream outPrintStream, java.io.PrintStream errPrintStream)`

    - ### Methods inherited from class bitel.billing.server.script.bean.ScriptMachine

      `newInstance, runScript`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadedScriptMachine

          public ThreadedScriptMachine(ScriptInstance function,
                                       int timeoutSeconds)

  - ### Method Detail

    - #### runScriptImpl

          protected void runScriptImpl(DefaultServerSetup setup,
                                       ConnectionSet connectionSet,
                                       Event event,
                                       java.io.PrintStream outPrintStream,
                                       java.io.PrintStream errPrintStream)
                                throws java.lang.Exception

      Overrides:
        `runScriptImpl` in class `ScriptMachine`
      Throws:
        `java.lang.Exception`